> This page is for version 2024-10-01 (default).
> For other versions, use one of these documentation indexes:
> - 2024-10-01 (default): https://docs.getkard.com/2024-10-01/llms.txt
> - Legacy: https://docs.getkard.com/legacy/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getkard.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server.

# Activate Placement Slot

POST https://rewards-api.getkard.com/v2/issuers/{organizationId}/users/{userId}/placements/{placementId}/slot/{slotId}/activate

Record when a user activates a batch-activation placement slot. Writes a slot-level
`placementSlotAttribution` ACTIVATE event and fans out a per-offer
`offerAttribution` ACTIVATE event for every offer resolved by the slot's content
strategy. The slot-level event id and the resolved `offerIds` are returned so the
partner can render the batch immediately without an extra round-trip to re-fetch
the placement content.

Required scopes: `attributions:write`

Reference: https://docs.getkard.com/api/attributions/activate-placement-slot

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://rewards-api.getkard.com` (Production, default)
- `https://test-rewards-api.getkard.com` (Sandbox)

## Request

### Path parameters

- `organizationId` (string, required) — Your issuer organization ID, provided by Kard
- `userId` (string, required) — The ID of the user as defined on the issuers system
- `placementId` (string, required) — Unique identifier of the placement (UUID v7)
- `slotId` (string, required) — Stable identifier for the slot within the placement

## Response

### 201

- `data` (ActivatePlacementSlotResponseData, required)

## Errors

### 401 Unauthorized Error

- `errors` (list of ErrorObject, required)

### 500 Internal Server Error

- `errors` (list of ErrorObject, required)

### 400 Invalid Request

- `errors` (list of ErrorObject, required)

## Types

### ActivatePlacementSlotResponseData

- `type` (string, required)
- `id` (string, required) — The slot-level attribution event id
- `attributes` (ActivatePlacementSlotResponseAttributes, required)

### ErrorObject

- `status` (string, required) — Status code returned from the request
- `title` (string, required) — Name of error
- `detail` (string, required) — Description of the specific occurance of the error
- `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error
- `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors.

### ActivatePlacementSlotResponseAttributes

- `placementId` (string, required) — Unique identifier of the placement
- `slotId` (string, required) — Stable identifier for the slot within the placement
- `eventCode` (string, required)
- `medium` (string, required)
- `eventDate` (datetime, required)
- `offerIds` (list of string, required) — All offer IDs that resolved under the slot's content strategy and had per-offer `offerAttribution` ACTIVATE events written. The partner can use this to render the batch immediately without an extra round-trip.

### ErrorSource

- `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error
- `parameter` (string, optional) — A string indicating which URI query parameter caused the error
- `header` (string, optional) — A string indicating the name of a single request header which caused the error

## Examples

**Response**

```json
{
  "data": {
    "type": "placementSlotAttribution",
    "id": "c94a93a7-beb9-4e58-960c-2c812f849398",
    "attributes": {
      "placementId": "018f8d6b-1abc-7def-9012-345678901234",
      "slotId": "slot-a",
      "eventCode": "ACTIVATE",
      "medium": "CTA",
      "eventDate": "2025-01-01T00:00:00Z",
      "offerIds": [
        "offer-1",
        "offer-2",
        "offer-3"
      ]
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/placements/018f8d6b-1abc-7def-9012-345678901234/slot/slot-a/activate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```